Bug 462117 - [QLogic 5.3 bug] qla2xxx - Additional residual-count corrections during UNDERRUN handling.
[QLogic 5.3 bug] qla2xxx - Additional residual-count corrections during UNDER...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: ZStream
Depends On:
Blocks: 415811 465741
  Show dependency treegraph
 
Reported: 2008-09-12 15:05 EDT by Marcus Barrow
Modified: 2009-06-20 01:26 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:39:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
data underrun correction (1.31 KB, patch)
2008-09-12 15:38 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-09-12 15:05:48 EDT
This is a back port of a patch currently being submitted upstream.

It is a very simple 3 line fix to a problem reported by a major OEM.

This is been verified both via FW simulation of the FCP_RSP packet as
well as tested within the lab with a FC-jammer. It was also verified to fix
the original problem reported.

Add additional tightening of residual-count handling (originally
from commit 6acf8190025e9c4ea513d4084ff089d476112816) where the
driver should discard any lower SCSI-status during
firmware/transport residual-count mismatches.
Comment 1 Marcus Barrow 2008-09-12 15:38:29 EDT
Created attachment 316616 [details]
data underrun correction
Comment 2 RHEL Product and Program Management 2008-09-12 16:30:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-09-15 10:19:09 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Marcus Barrow 2008-11-17 23:16:09 EST
Patch verified in 2.6.18-123.el5.
Comment 10 errata-xmlrpc 2009-01-20 14:39:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.